Skip to main content
GET
/
api
/
txs
/
status
/
{hash}
Live transaction status
curl --request GET \
  --url https://api.walletsuite.io/api/txs/status/{hash} \
  --header 'x-api-key: <api-key>'
{
  "status": "PENDING",
  "success": true,
  "txType": "TRANSFER_NATIVE",
  "blockNumber": 123,
  "txIndex": 123,
  "gasUsed": "<string>",
  "from": "<string>",
  "to": "<string>",
  "value": "<string>",
  "displayValue": "<string>",
  "tokenContract": "<string>",
  "tokenTo": "<string>",
  "tokenValue": "<string>",
  "methodId": "<string>",
  "blockTimestamp": 123
}

Authorizations

x-api-key
string
header
required

API key provided by WalletSuite team

Path Parameters

hash
string
required

Transaction hash (Ethereum 0x… or Tron hex txid)

Query Parameters

chain
string
default:ethereum

Blockchain identifier

Response

200 - */*

OK

status
enum<string>
required
Available options:
PENDING,
SUCCEEDED,
FAILED,
UNKNOWN
success
boolean
required
txType
enum<string>
required
Available options:
TRANSFER_NATIVE,
TRANSFER_TOKEN,
CONTRACT_CREATION,
CONTRACT_CALL,
SWAP,
STAKE,
UNSTAKE,
CLAIM_REWARDS,
UNKNOWN
blockNumber
integer<int64>
txIndex
integer<int32>
gasUsed
string
from
string
to
string
value
string
displayValue
string
tokenContract
string
tokenTo
string
tokenValue
string
methodId
string
blockTimestamp
integer<int64>